Skip to content
← Back to Community
How do I fix a Assertion Error?
Profile icon
GabrielGardner

Does anyone know how to fix this error
"[AssertionError]

add [-D|--dev] [--git GIT] [--path PATH] [-E|--extras EXTRAS] [--optional] [--python PYTHON] [--platform PLATFORM] [--allow-prereleases] [--dry-run] [--] ()...

exit status 1

Repl.it: Package operation failed."

Voters
Profile icon
husnulsausan
Profile icon
LGASC
Profile icon
GabrielGardner
Comments
hotnewtop
Profile icon
SixBeeps

I think it might be because you're using Python 2.7, which has been deprecated for nearly half a year. Do you need to use 2.7 in particular?

Profile icon
GabrielGardner

@SixBeeps yeah pycall is actually supposed to be ran on 2.3. But when i switched 2.7 to 2.3, same thing.

Profile icon
SixBeeps

@GabrielGardner Sounds like an outdated Python package then. Maybe look into an alternative library or write one yourself.